Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class UserPreferences

    java.lang.Object
      org.jasig.portal.UserPreferences

All Implemented Interfaces:
  java.io.Serializable

    public class UserPreferences

extends java.lang.Object
implements java.io.Serializable

Object managing user preferences.

Version:
  $Revision: 1.17.4.2 $
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Field Summary
`protected StructureStylesheetUserPreferences` | `fsup`
`protected UserProfile` | `profile`
`protected ThemeStylesheetUserPreferences` | `ssup`

Constructor Summary
`UserPreferences(UserPreferences up)`
`UserPreferences(UserProfile p)`

Method Summary
`java.lang.String` | `getCacheKey()` Generates a unique state key
`UserProfile` | `getProfile()`
`StructureStylesheetUserPreferences` | `getStructureStylesheetUserPreferences()`
`ThemeStylesheetUserPreferences` | `getThemeStylesheetUserPreferences()`
`void` | `setProfile(UserProfile p)`
`void` | `setStructureStylesheetUserPreferences(StructureStylesheetUserPreferences up)`
`void` | `setThemeStylesheetUserPreferences(ThemeStylesheetUserPreferences up)`
`void` | `synchronizeWithUserLayoutXML(org.w3c.dom.Document uLayoutXML)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### profile

    protected UserProfile profile

### fsup

    protected StructureStylesheetUserPreferences fsup

### ssup

    protected ThemeStylesheetUserPreferences ssup

Constructor Detail

### UserPreferences

    public UserPreferences(UserPreferences up)

### UserPreferences

    public UserPreferences(UserProfile p)

Method Detail

### setProfile

    public void setProfile(UserProfile p)

### getProfile

    public UserProfile getProfile()

### setStructureStylesheetUserPreferences

    public void setStructureStylesheetUserPreferences(StructureStylesheetUserPreferences up)

### setThemeStylesheetUserPreferences

    public void setThemeStylesheetUserPreferences(ThemeStylesheetUserPreferences up)

### getStructureStylesheetUserPreferences

    public StructureStylesheetUserPreferences getStructureStylesheetUserPreferences()

### getThemeStylesheetUserPreferences

    public ThemeStylesheetUserPreferences getThemeStylesheetUserPreferences()

### synchronizeWithUserLayoutXML

    public void synchronizeWithUserLayoutXML(org.w3c.dom.Document uLayoutXML)
                                      throws PortalException

  Throws:
    `PortalException`

### getCacheKey

    public java.lang.String getCacheKey()

  Generates a unique state key

  Returns:
    a `String` key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD